You are not logged in.

#1 2018-12-01 18:15:07

jimjamz
Member
From: Nagasaki, Japan
Registered: 2016-04-04
Posts: 73

CRYPTSETUP setting deprecated warning

When updating the apt repositories:

sudo apt-get update

I'm informed that the current CRYPTSETUP settings are deprecated:

WARNING: Setting CRYPTSETUP in /etc/initramfs-tools/initramfs.conf is deprecated and will stop working in the future. Use /etc/cryptsetup-initramfs/conf-hook instead.

This page offers a workaround.  However, is this something to be addressed in a future BL distribution release?

Offline

#2 2018-12-02 04:50:21

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,929
Website

Re: CRYPTSETUP setting deprecated warning

This is coming from live-build, which is used to build the BL iso files.
At some point it needs to move its initramf setting for cryptsetup from /etc/initramfs-tools/conf.d/cryptsetup to /etc/cryptsetup-initramfs/conf-hook as the warning message says.

If such a fix has not arrived in live-build by the time the current config stops working, then I guess BL will have to consider a patch, but it would be better if the fix comes from their end IMO.


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#3 2018-12-29 21:05:09

Bearded_Blunder
Member
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 602

Re: CRYPTSETUP setting deprecated warning

Erm I recon it's coming from upstream.. *I* see that warning on a brand shiny new Buster netinst.. done today...


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

Board footer

Powered by FluxBB